package com.bocloud.ims.service.model;

public class Abstracts {

	private PlatInfo vmware; // vmware概括
	private PlatInfo openstack; // openstack概括
	private AppInfo application; // 应用概括
	private AlarmInfo alarm; // 告警概括

	/**
	 * @return the vmware
	 */
	public PlatInfo getVmware() {
		return vmware;
	}

	/**
	 * @param vmware
	 *            the vmware to set
	 */
	public void setVmware(PlatInfo vmware) {
		this.vmware = vmware;
	}

	/**
	 * @return the openstack
	 */
	public PlatInfo getOpenstack() {
		return openstack;
	}

	/**
	 * @param openstack
	 *            the openstack to set
	 */
	public void setOpenstack(PlatInfo openstack) {
		this.openstack = openstack;
	}

	/**
	 * @return the application
	 */
	public AppInfo getApplication() {
		return application;
	}

	/**
	 * @param application
	 *            the application to set
	 */
	public void setApplication(AppInfo application) {
		this.application = application;
	}

	/**
	 * @return the alarm
	 */
	public AlarmInfo getAlarm() {
		return alarm;
	}

	/**
	 * @param alarm
	 *            the alarm to set
	 */
	public void setAlarm(AlarmInfo alarm) {
		this.alarm = alarm;
	}

	public Abstracts() {
		super();
	}

	public Abstracts(PlatInfo vmware, PlatInfo openstack, AppInfo application,
			AlarmInfo alarm) {
		super();
		this.vmware = vmware;
		this.openstack = openstack;
		this.application = application;
		this.alarm = alarm;
	}

}
